ImageInput (JavaFX 17)

Module javafx.graphics
Package javafx.scene.effect

## Class ImageInput

- java.lang.Object
- - javafx.scene.effect.Effect
  - - javafx.scene.effect.ImageInput

-     public class ImageInput
      extends Effect

  A type of source effect that simply passes the given `Image` through, unmodified, as an input to another `Effect`.
  Since:
    JavaFX 2.0

- - ### Property Summary

    Properties
    Type | Property | Description
    --- | --- | ---
    `ObjectProperty<Image>` | `source` | The source `Image`.
    `DoubleProperty` | `x` | Sets the x location of the source image, relative to the local coordinate space of the content `Node`.
    `DoubleProperty` | `y` | Sets the y location of the source image, relative to the local coordinate space of the content `Node`.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ImageInput()` | Creates a new instance of ImageInput with default parameters.
    `ImageInput​(Image source)` | Creates a new instance of ImageInput with the specified source.
    `ImageInput​(Image source, double x, double y)` | Creates a new instance of ImageInput with the specified source, x and y.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Image` | `getSource()` | Gets the value of the property source.
    `double` | `getX()` | Gets the value of the property x.
    `double` | `getY()` | Gets the value of the property y.
    `void` | `setSource​(Image value)` | Sets the value of the property source.
    `void` | `setX​(double value)` | Sets the value of the property x.
    `void` | `setY​(double value)` | Sets the value of the property y.
    `ObjectProperty<Image>` | `sourceProperty()` | The source `Image`.
    `DoubleProperty` | `xProperty()` | Sets the x location of the source image, relative to the local coordinate space of the content `Node`.
    `DoubleProperty` | `yProperty()` | Sets the y location of the source image, relative to the local coordinate space of the content `Node`.

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### source

          public final ObjectProperty<Image> sourceProperty

      The source `Image`.
      See Also:
        `getSource()`, `setSource(Image)`

    - #### x

          public final DoubleProperty xProperty

      Sets the x location of the source image, relative to the local coordinate space of the content `Node`.

                 Min: n/a
                 Max: n/a
             Default: 0.0
            Identity: 0.0

      Default value:
        0.0
      See Also:
        `getX()`, `setX(double)`

    - #### y

          public final DoubleProperty yProperty

      Sets the y location of the source image, relative to the local coordinate space of the content `Node`.

                 Min: n/a
                 Max: n/a
             Default: 0.0
            Identity: 0.0

      Default value:
        0.0
      See Also:
        `getY()`, `setY(double)`

  - ### Constructor Detail

    - #### ImageInput

          public ImageInput()

      Creates a new instance of ImageInput with default parameters.

    - #### ImageInput

          public ImageInput​(Image source)

      Creates a new instance of ImageInput with the specified source.
      Parameters:
        `source` - the source `Image`.
      Since:
        JavaFX 2.1

    - #### ImageInput

          public ImageInput​(Image source,
                            double x,
                            double y)

      Creates a new instance of ImageInput with the specified source, x and y.
      Parameters:
        `source` - the source `Image`.
        `x` - the x location of the source image
        `y` - the y location of the source image
      Since:
        JavaFX 2.1

  - ### Method Detail

    - #### setSource

          public final void setSource​(Image value)

      Sets the value of the property source.
      Property description:
        The source `Image`.

    - #### getSource

          public final Image getSource()

      Gets the value of the property source.
      Property description:
        The source `Image`.

    - #### sourceProperty

          public final ObjectProperty<Image> sourceProperty()

      The source `Image`.
      See Also:
        `getSource()`, `setSource(Image)`

    - #### setX

          public final void setX​(double value)

      Sets the value of the property x.
      Property description:
        Sets the x location of the source image, relative to the local coordinate space of the content `Node`.

                   Min: n/a
                   Max: n/a
               Default: 0.0
              Identity: 0.0

      Default value:
        0.0

    - #### getX

          public final double getX()

      Gets the value of the property x.
      Property description:
        Sets the x location of the source image, relative to the local coordinate space of the content `Node`.

                   Min: n/a
                   Max: n/a
               Default: 0.0
              Identity: 0.0

      Default value:
        0.0

    - #### xProperty

          public final DoubleProperty xProperty()

      Sets the x location of the source image, relative to the local coordinate space of the content `Node`.

                 Min: n/a
                 Max: n/a
             Default: 0.0
            Identity: 0.0

      Default value:
        0.0
      See Also:
        `getX()`, `setX(double)`

    - #### setY

          public final void setY​(double value)

      Sets the value of the property y.
      Property description:
        Sets the y location of the source image, relative to the local coordinate space of the content `Node`.

                   Min: n/a
                   Max: n/a
               Default: 0.0
              Identity: 0.0

      Default value:
        0.0

    - #### getY

          public final double getY()

      Gets the value of the property y.
      Property description:
        Sets the y location of the source image, relative to the local coordinate space of the content `Node`.

                   Min: n/a
                   Max: n/a
               Default: 0.0
              Identity: 0.0

      Default value:
        0.0

    - #### yProperty

          public final DoubleProperty yProperty()

      Sets the y location of the source image, relative to the local coordinate space of the content `Node`.

                 Min: n/a
                 Max: n/a
             Default: 0.0
            Identity: 0.0

      Default value:
        0.0
      See Also:
        `getY()`, `setY(double)`